
import java.sql.*; 
import java.io.*; 

class ConvertToGradePoint { 
  public static void main (String args []) 
      throws SQLException, IOException { 

    DriverManager.registerDriver (new oracle.jdbc.driver.OracleDriver());
 
    String user, pass, sql, grade;
    user = readEntry("userid  : ");
    pass = readEntry("password: ");
    Connection conn =  DriverManager.getConnection
                            ("jdbc:oracle:oci8:@addb", user, pass);

    grade = readEntry("Enter the grade point you want to find the grade  => ");

    sql = "{? = call ConvertToGradePoint(?)}";
    CallableStatement stmt = conn.prepareCall(sql);
    
    stmt.setString(2, grade);
    stmt.registerOutParameter(1, Types.DOUBLE);
    stmt.execute();
    double gradePoint = stmt.getDouble(1);
    
    System.out.println("The grade " + grade + " has grade point of " + gradePoint + ".");
    conn.close();
  } 

  //readEntry function -- to read input string
  static String readEntry(String prompt) {
     try {
       StringBuffer buffer = new StringBuffer();
       System.out.print(prompt);
       System.out.flush();
       int c = System.in.read();
       while(c != '\n' && c != -1) {
         buffer.append((char)c);
         c = System.in.read();
       }
       return buffer.toString().trim();
     } catch (IOException e) {
       return "";
       }
   }
} 
